.footer{
    width: 100%;
    background-color: $color-primary-dark;
    padding-top: 6rem;
    padding-bottom: 5rem;
        .row{
            width: 100%;
            border-bottom: 0.4rem solid $color-primary;
            padding-bottom: 7rem;
        }
        .column{
            margin: 1rem 0;
            color: pink;
            @include respond(tabletp){
                width: 100%;
            }
        }
        &_end{
            padding-top: 2rem;
            margin-left: 1.5rem;
                margin-right: 1.5rem;
            // @include respond(tabletp){
            //     padding-left: 2rem;
            //     padding-right: 2rem;
            // }
            // @include respond(tabletp){
            //     margin-left: 1.5rem;
            //     margin-right: 1.5rem;
            // }
            @include respond(sphone){
                padding-left: 2rem;
                padding-right: 2rem;
            }
            display: flex;
            justify-content: space-between;
            align-items: center;
            .links{
                a:link,
                a:visited{
                    display: inline-block;
                    font-size: 1.5rem;
                    text-decoration: none;
                    margin-right: 1rem;
                    color: $color-primary-light;
                    @include respond(tabletp){
                        font-size: 2.2rem;
                    }
                    @include respond(phone){
                        font-size: 1.5rem;
                        margin-right: 0.5rem;
                    }
                }
                a:hover{
                    transform: scale(1.05);
                    color: $color-white;
                }
            }
            .copyright{
                position: relative;
                text-align: center;
                font-size: 1.5rem;
                color: $color-primary-light;
                @include respond(tabletp){
                        font-size: 1.5rem;
                    }
                @include respond(phone){
                        font-size: 1rem;
                    }
            }
            .creator{
                a:link,
                a:visited{
                    display: inline-block;
                    font-size: 1.5rem;
                    text-decoration: none;
                    color: rgba($color-primary-light,0.3);
                    transition: all .1s;
                }
                a:hover{
                    transform: scale(1.05);
                    color: rgba($color-primary-light,0.8);
                }
            }
        }

        .column-1{
            // border: 2px solid pink;
            position: relative;
            height: 43rem;
            @include respond(tabletp){
                margin: 22rem auto;
            }
            @include respond(phone){
                margin: 3rem auto;
            }

            &_icon{
                position: absolute;
                top: 50%;
                left: 50%;
                display: inline-block;
                width: 11rem;
                height: 11rem;
                @include respond(tabletp){
                    width: 18rem;
                    height: 18rem;
                }
                @include respond(phone){
                    width: 12rem;
                    height: 12rem;
                }
                @include respond(sphone){
                    width: 12rem;
                    height: 12rem;
                }
                margin: 1rem;
                border-radius: 50rem;
                padding: 1rem;
                transition: all .1s;

                a:link,
                a:visited{
                    position: absolute;
                    top: 50%;
                    left: 50%;
                    transform: translate(-50%,-50%) rotate(-45deg);  
                    font-size: 5rem;
                    @include respond(tabletp){
                        font-size: 7rem;
                    }
                    text-decoration: none;
                    transition: all .1s ;
                }
                &:hover a{
                    color: $color-white;
                    transform: translate(-50%,-50%) rotate(-45deg) scale(1.2);
                }

                &-1{
                    transform: translate(-50%,-150%) rotate(45deg);
                    border: 0.7rem solid #0077b5;
                    @include respond(tabletp){
                        border: 1.2rem solid #0077b5;
                    }
                    @include respond(phone){
                        border: 0.8rem solid #0077b5;
                    }
                    a{
                        color: #0077b5;
                    }
                    &:hover{
                        background-color: #0077b5;
                    }
                }
                &-2{
                    transform: translate(50%,-50%) rotate(45deg);
                     border: 0.7rem solid rgb(241, 78, 49);
                     @include respond(tabletp){
                        border: 1.2rem solid rgb(241, 78, 49);
                    }
                    @include respond(phone){
                        border: 0.8rem solid rgb(241, 78, 49);
                    }
                    a{
                        color: rgb(241, 78, 49);
                    }
                    &:hover{
                        background-color: rgb(241, 78, 49);
                    }
                }
                &-3{
                    transform: translate(-50%,50%) rotate(45deg);
                    border: 0.7rem solid rgb(35, 127, 247);
                    @include respond(tabletp){
                        border: 1.2rem solid rgb(35, 127, 247);
                    }
                    @include respond(phone){
                        border: 0.8rem solid rgb(35, 127, 247);
                    }
                    a{
                        color: rgb(35, 127, 247);
                    }
                    &:hover{
                        background-color: rgb(35, 127, 247);
                    }
                }
                &-4{
                    transform: translate(-150%,-50%) rotate(45deg);
                    border: 0.7rem solid rgb(159, 46, 211);
                    @include respond(tabletp){
                        border: 1.2rem solid rgb(159, 46, 211);
                    }
                    @include respond(phone){
                        border: 0.8rem solid rgb(159, 46, 211);
                    }
                    a{
                        color: rgb(159, 46, 211);
                    }
                    &:hover{
                        background-color: rgb(159, 46, 211);
                    }
                }
            }
            
        }

        .column-2{
            // border: 2px solid pink;
            // position: relative;
            text-align: center;
            // padding-top: 1rem;
            // height: 50rem;
            &_form{
                // position: absolute;
                // top: 50%;
                // left: 50%;
                // transform: translate(-50%,-50%);
                ::placeholder{
                    color: rgba($color-white, 0.6) ;
                }
                h1{
                    font-size: 4rem;
                    margin-bottom: 1rem;
                    @include respond(tabletp){
                        font-size: 7rem;
                    }
                    @include respond(phone){
                        font-size: 5rem;
                    }
                }
                input {
                    font-family: 'nunito', sans-serif;
                    width: 75%;
                    font-size: 1.5rem;
                    padding: 0.8rem 0.8rem;
                    margin: 0.7rem auto;
                    background-color: $color-primary;
                    border: none;
                    font-weight: 600;
                    border-radius: 2px;
                    color: $color-white;
                    @include respond(tabletp){
                        font-size: 3.2rem;
                        padding: 1.2rem;
                        width: 90%;
                    }
                    @include respond(phone){
                        font-size: 2.5rem;
                        padding: 1.2rem;
                        width: 90%;
                    }
                }
                input:focus{
                    outline: 3px solid rgba($color-unique-2-light,0.5);
                    outline-offset: 2px;
                }
                textarea {
                    font-family: 'nunito', sans-serif;
                    width: 75%;
                    font-size: 1.5rem;
                    padding: 0.8rem 0.8rem;
                    margin: 0.7rem auto;
                    background-color: $color-primary;
                    border: none;
                    font-weight: 600;
                    border-radius: 2px;
                    color: $color-white;
                    @include respond(tabletp){
                        font-size: 3.2rem;
                        padding: 1.2rem;
                        width: 90%;
                    }
                    @include respond(phone){
                        font-size: 2.5rem;
                        padding: 1.2rem;
                        width: 90%;
                    }    
                }
                textarea:focus{
                    outline: 3px solid rgba($color-unique-2-light,0.5);
                    outline-offset: 2px;
                }
                div{
                    width: 75%;
                    @include respond(tabletp){
                        width: 90%;
                    }
                    height: 5rem;
                    position: relative;
                    margin: 0 auto;
                    justify-content: stretch;
                    div{
                        position: absolute;
                        display: flex;
                        left: 0;
                        .mycheckbox{
                            position: absolute;
                            left: 0;
                            width: 2.2rem;
                            height: 2.2rem;
                            @include respond(tabletp){
                                width: 4.2rem;
                                height: 4.2rem;
                            }
                            @include respond(phone){
                                width: 3rem;
                                height: 3rem;
                            }
                            @include respond(sphone){
                                width: 3.5rem;
                                height: 3.5rem;
                            }
                            border-radius: 100px;
                            border: 4px solid $color-unique-2;
                            background-color: transparent;
                        }
                        input[type=checkbox]{
                            display: inline-block;
                            width: unset;
                            cursor: pointer;
                            margin-left: 0.2rem;
                            margin-right: 0.5rem;
                            @include respond(tabletp){
                                margin-right: 1px;
                            }
                            @include respond(sphone){
                                margin-right: 2px;
                            }
                            margin-top: 0;
                            text-align: start;
                            zoom: 1.5;
                            @include respond(tabletp){
                                zoom: 2.7;
                            }
                            @include respond(phone){
                                zoom: 1.4;
                            }
                            @include respond(sphone){
                                zoom: 1.2;
                            }
                            outline: $color-unique-2 !important;
                            opacity: 0;
                            z-index: 500;
                        }
                        input[type=checkbox]:checked + .mycheckbox{
                            background-color: $color-unique-2;
                        }
                        label{
                            display: inline-block;
                            text-align: left;
                            font-size: 1.6rem;
                            color: $color-white;
                            cursor: pointer;
                            font-weight: 700;
                            @include respond(tabletp){
                                font-size: 2.8rem;
                            }
                            @include respond(phone){
                                font-size: 2.2rem;
                            }
                        }
                    }
                    button{
                        position: absolute;
                        right: 0;
                        background-image: linear-gradient(to right, $color-unique-2, $color-unique-2-light);
                        color: $color-white;
                        font-weight: 900;
                        font-size: 1.7rem;
                        letter-spacing: 2px;
                        border: none;
                        padding: 1rem;
                        border-radius: 2px;
                        margin: 0 auto;
                        cursor: pointer;
                        @include respond(tabletp){
                                font-size: 3.8rem;
                            }
                        @include respond(phone){
                                font-size: 2.5rem;
                            }
                    }
                }

            }
        }
}
